include_recipe 'zabbix-pkg::setup_repository'

package 'zabbix-agent' do
  action [:install, :upgrade]
end

service 'zabbix-agent'

localhost = "127.0.0.1"
unless node['zabbix']['agent']['servers'].include?( localhost )
  node.override['zabbix']['agent']['servers'] = node['zabbix']['agent']['servers'] + ["127.0.0.1"]
end

# Install configuration
template 'zabbix_agentd.conf' do
  path '/etc/zabbix/zabbix_agentd.conf'
  source 'zabbix_agentd.conf.erb'
  owner 'root'
  group 'root'
  mode '644'
  notifies :restart, 'service[zabbix-agent]'
end
