
# non-threaded needed for php5 not thread-safe
node.set['apache']['mpm'] = 'prefork'

include_recipe 'apache2'
include_recipe 'apache2::mod_php5'
include_recipe 'php'
package 'php5-pgsql'

# php::default only configures cli/php.ini
template "/etc/php5/apache2/php.ini" do
    source node['php']['ini']['template']
    cookbook node['php']['ini']['cookbook']
    unless platform?('windows')
        owner 'root'
        group 'root'
        mode '0644'
    end
    variables(:directives => node['php']['directives'])
    notifies :restart, "service[apache2]"
end

web_app "zabbix" do
  server_name node['zabbix']['web']['fqdn']
  docroot '/usr/share/zabbix'
  cookbook 'apache2'
end
