
::Chef::Recipe.send(:include, Opscode::OpenSSL::Password)
node.set_unless['zabbix']['database']['dbpassword'] = secure_password

include_recipe 'postgresql::ruby'
include_recipe 'postgresql::server'
include_recipe 'postgresql::config_pgtune'

postgresql_connection_info = {
  :host     => '127.0.0.1',
  :port     => node['postgresql']['config']['port'],
  :username => 'postgres',
  :password => node['postgresql']['password']['postgres']
}

postgresql_database "zabbix" do
  connection postgresql_connection_info
  action :create
end

postgresql_database_user node['zabbix']['database']['dbuser'] do
    connection postgresql_connection_info
    database_name node['zabbix']['database']['dbname']
    password node['zabbix']['database']['dbpassword']
    privileges [ :all ]
    action [:create, :grant]
end
